Callisto4Bootloader: rtwdog_driver_interface_t Struct Reference

Callisto4Bootloader

Data Fields
rtwdog_driver_interface_t Struct Reference

`#include <bl_api.h>`

## Data Fields

void(* | RTWDOG_GetDefaultConfig )(rtwdog_config_t *config)
void(* | RTWDOG_Init )(RTWDOG_Type *base, const rtwdog_config_t *config)
void(* | RTWDOG_Deinit )(RTWDOG_Type *base)
void(* | RTWDOG_Enable )(RTWDOG_Type *base)
void(* | RTWDOG_Disable )(RTWDOG_Type *base)
void(* | RTWDOG_EnableInterrupts )(RTWDOG_Type *base, uint32_t mask)
void(* | RTWDOG_DisableInterrupts )(RTWDOG_Type *base, uint32_t mask)
uint32_t(* | RTWDOG_GetStatusFlags )(RTWDOG_Type *base)
void(* | RTWDOG_ClearStatusFlags )(RTWDOG_Type *base, uint32_t mask)
void(* | RTWDOG_SetTimeoutValue )(RTWDOG_Type *base, uint16_t timeoutCount)
void(* | RTWDOG_SetWindowValue )(RTWDOG_Type *base, uint16_t windowValue)
void(* | RTWDOG_Unlock )(RTWDOG_Type *base)
void(* | RTWDOG_Refresh )(RTWDOG_Type *base)
uint16_t(* | RTWDOG_GetCounterValue )(RTWDOG_Type *base)

## Detailed Description

Definition at line 87 of file bl_api.h.

## Field Documentation

## ◆ RTWDOG_ClearStatusFlags

void(* rtwdog_driver_interface_t::RTWDOG_ClearStatusFlags) (RTWDOG_Type *base, uint32_t mask)

Definition at line 97 of file bl_api.h.

Referenced by RTWDOG_GetDefaultConfig().

## ◆ RTWDOG_Deinit

void(* rtwdog_driver_interface_t::RTWDOG_Deinit) (RTWDOG_Type *base)

Definition at line 91 of file bl_api.h.

## ◆ RTWDOG_Disable

void(* rtwdog_driver_interface_t::RTWDOG_Disable) (RTWDOG_Type *base)

Definition at line 93 of file bl_api.h.

## ◆ RTWDOG_DisableInterrupts

void(* rtwdog_driver_interface_t::RTWDOG_DisableInterrupts) (RTWDOG_Type *base, uint32_t mask)

Definition at line 95 of file bl_api.h.

## ◆ RTWDOG_Enable

void(* rtwdog_driver_interface_t::RTWDOG_Enable) (RTWDOG_Type *base)

Definition at line 92 of file bl_api.h.

## ◆ RTWDOG_EnableInterrupts

void(* rtwdog_driver_interface_t::RTWDOG_EnableInterrupts) (RTWDOG_Type *base, uint32_t mask)

Definition at line 94 of file bl_api.h.

## ◆ RTWDOG_GetCounterValue

uint16_t(* rtwdog_driver_interface_t::RTWDOG_GetCounterValue) (RTWDOG_Type *base)

Definition at line 102 of file bl_api.h.

## ◆ RTWDOG_GetDefaultConfig

void(* rtwdog_driver_interface_t::RTWDOG_GetDefaultConfig) (rtwdog_config_t *config)

Definition at line 89 of file bl_api.h.

Referenced by RTWDOG_Init().

## ◆ RTWDOG_GetStatusFlags

uint32_t(* rtwdog_driver_interface_t::RTWDOG_GetStatusFlags) (RTWDOG_Type *base)

Definition at line 96 of file bl_api.h.

## ◆ RTWDOG_Init

void(* rtwdog_driver_interface_t::RTWDOG_Init) (RTWDOG_Type *base, const rtwdog_config_t *config)

Definition at line 90 of file bl_api.h.

Referenced by RTWDOG_Deinit().

## ◆ RTWDOG_Refresh

void(* rtwdog_driver_interface_t::RTWDOG_Refresh) (RTWDOG_Type *base)

Definition at line 101 of file bl_api.h.

## ◆ RTWDOG_SetTimeoutValue

void(* rtwdog_driver_interface_t::RTWDOG_SetTimeoutValue) (RTWDOG_Type *base, uint16_t timeoutCount)

Definition at line 98 of file bl_api.h.

## ◆ RTWDOG_SetWindowValue

void(* rtwdog_driver_interface_t::RTWDOG_SetWindowValue) (RTWDOG_Type *base, uint16_t windowValue)

Definition at line 99 of file bl_api.h.

## ◆ RTWDOG_Unlock

void(* rtwdog_driver_interface_t::RTWDOG_Unlock) (RTWDOG_Type *base)

Definition at line 100 of file bl_api.h.

The documentation for this struct was generated from the following file:

- lib/bl_api.h